Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3909 - tcsh as nonroot user /dev/port permission denied
Summary: tcsh as nonroot user /dev/port permission denied
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-06 07:40 UTC by zmarcel
Modified: 2007-04-18 16:23 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-13 20:39:06 UTC


Attachments (Terms of Use)

Description zmarcel 1999-07-06 07:40:00 UTC
If a nonroot user starts tcsh in complains about permissions
for /dev/port. Although this seems not to affect the further
session, it is somehow a bug. If logging in as root user or
su'ed in somewhere this problem does not show up.
I hope you know a way to get rid of this ugly messages.

NONROOT:
Red Hat Linux release 6.0 (Hedwig)
Kernel 2.2.5-22 on an i686

travelmate login: sumo
Password:
Last login: Sun Jul  4 22:40:42 on tty1
Cannot open /dev/port: Permission denied
[sumo@travelmate ~]#

ROOT:
Red Hat Linux release 6.0 (Hedwig)
Kernel 2.2.5-22 on an i686

travelmate login: root
Password:
Last login: Mon Jul  5 21:58:05 on tty2
[root@travelmate ~]#

Comment 1 David Lawrence 1999-07-13 20:39:59 UTC
I could not replicate this problem on a standard 6.0 install machine
with kernel-2.2.5-22 installed.


Note You need to log in before you can comment on or make changes to this bug.